All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Class ClassNode

    com.sas.models.ClassNode

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, ModelInterface, MutableNodeInterface, MutableSimpleNodeInterface, NodeInterface, SimpleNodeInterface, StaticNodeStyleInterface, TreeInterface, java.io.Serializable

    public class ClassNode

ClassNode is a subclass of Node used by the ClassPathClasses model to attach additional information to a node representing a Class in the CLASSPATH.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `classPathDirectory`
`protected java.lang.String` | `fileName`
`protected java.lang.String` | `zipFileName`

Fields inherited from class com.sas.models.Node
`children, defaultNodeStyle, expandedNodeText, externalUpdateSupported, hasChildren, nodeStyle, nodeText, nodeType, objectData, RB_KEY`

Constructor Summary
`ClassNode(java.lang.String text, java.lang.String expandedText, java.lang.String fileName, java.lang.String classPathDirectory, java.lang.String zipFileName)`

Method Summary
`java.lang.String` | `getClassPathDirectory()`
`java.lang.String` | `getFileName()`
`java.lang.String` | `getZipFileName()`

Methods inherited from class com.sas.models.Node
`addItems, addNodeChild, addNodeChild, addPropertyChangeListener, attachView, countNodeChildren, detachView, firePropertyChange, firePropertyChange, getDefaultNodeStyle, getIndex, getNodeChild, getNodeChildCount, getNodeChildren, getNodeChildren, getNodeExpandedText, getNodeStyle, getNodeText, getNodeType, getNodeTypes, getObjectData, getRoot, isExternalUpdateSupported, isLeafNode, moveNodeChild, notifyPropertyChange, removeAllNodeChildren, removeNodeChild, removeNodeChild, removePropertyChangeListener, setDefaultNodeStyle, setExternalUpdateSupported, setNodeChildren, setNodeExpandedText, setNodeStyle, setNodeText, setNodeType, setObjectData, sort, toString`

Field Detail

### fileName

    protected java.lang.String fileName

### zipFileName

    protected java.lang.String zipFileName

### classPathDirectory

    protected java.lang.String classPathDirectory

Constructor Detail

### ClassNode

    public ClassNode(java.lang.String text,
                     java.lang.String expandedText,
                     java.lang.String fileName,
                     java.lang.String classPathDirectory,
                     java.lang.String zipFileName)

Method Detail

### getFileName

    public java.lang.String getFileName()

### getZipFileName

    public java.lang.String getZipFileName()

### getClassPathDirectory

    public java.lang.String getClassPathDirectory()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.